## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# StylesheetExecutionContextDefault::XalanNumberFormatFactory Class Reference

`#include <StylesheetExecutionContextDefault.hpp>`

Inheritance diagram for StylesheetExecutionContextDefault::XalanNumberFormatFactory

List of all members.

## Public Methods

- XalanNumberFormatFactory ()
- virtual ~XalanNumberFormatFactory ()
- virtual XalanNumberFormat* create ()

## Constructor & Destructor Documentation

StylesheetExecutionContextDefault::XalanNumberFormatFactory::XalanNumberFormatFactory ( | )`[explicit]`

virtual StylesheetExecutionContextDefault::XalanNumberFormatFactory::~XalanNumberFormatFactory ( | )`[virtual]`

## Member Function Documentation

virtual XalanNumberFormat* StylesheetExecutionContextDefault::XalanNumberFormatFactory::create ( | )`[virtual]`

Reimplemented in ICUXalanNumberFormatFactory.

The documentation for this class was generated from the following file:

- StylesheetExecutionContextDefault.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.